/*
 *   This file is a part of the SteamWar software.
 *
 *   Copyright (C) 2025 SteamWar.de-Serverteam
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

plugins {
    steamwar.java
}

tasks.compileJava {
    options.isWarnings = false
}

java {
    sourceCompatibility = JavaVersion.VERSION_21
    targetCompatibility = JavaVersion.VERSION_21
}

dependencies {
    compileOnly(project(":BauSystem:BauSystem_Main", "default"))
    compileOnly(project(":SpigotCore", "default"))

    compileOnly(libs.paperapi)
    compileOnly(libs.axiom)
    compileOnly(libs.authlib)
    compileOnly(libs.viaapi)

    compileOnly(libs.nms)
    compileOnly(libs.fawe)

    implementation(libs.luaj)
    implementation(files("$projectDir/../libs/YAPION-SNAPSHOT.jar"))
}
